@charset "UTF-8";
html, body, div, span, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
abbr, address, cite, code,
del, dfn, em, img, ins, kbd, q, samp,
small, strong, sub, sup, var,
b, i,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, figcaption, figure,
footer, header, hgroup, menu, nav, section, summary,
time, mark, audio, video {
  margin:0;
  padding:0;
  border:0;
  outline:0;
  font-size:100%;
  vertical-align:baseline;
  background:transparent;
  box-sizing: border-box;
}
html {
  font-size: 62.5%;
  overflow-x: hidden;
}
body {
  font-size: 1.6rem;
  line-height:1.6;
}
article,aside,details,figcaption,figure,
footer,header,hgroup,menu,nav,section {
  display:block;
}
ol,ul {
  list-style:none;
}
blockquote, q {
  quotes:none;
}
blockquote:before, blockquote:after,
q:before, q:after {
  content:'';
  content:none;
}
a {
  margin:0;
  padding:0;
  font-size:100%;
  vertical-align:baseline;
  background:transparent;
  box-sizing: border-box;
  text-decoration: none;
}
a:hover {
  opacity: .7;
}
ins {
  background-color:#ff9;
  color:#000;
  text-decoration:none;
}
mark {
  background-color:#ff9;
  color:#000;
  font-style:italic;
  font-weight:bold;
}
del {
  text-decoration: line-through;
}
abbr[title], dfn[title] {
  border-bottom:1px dotted;
  cursor:help;
}
table {
  border-collapse:collapse;
  border-spacing:0;
}
hr {
  display:block;
  height:1px;
  border:0;  
  border-top:1px solid #cccccc;
  margin:1em 0;
  padding:0;
}
input, select {
  vertical-align:middle;
}
img {
  max-width: 100%;
  vertical-align: bottom;
}

.blog_style h1 {
  display: inline-block;
  padding-bottom: 15px;
  font-size: 3rem;
  margin-bottom: 40px;
  position: relative;
}
.blog_style h1:after {
  width: 3em;
  content: "";
  display: block;
  border-bottom: 2px solid #ef8200;
  position: absolute;
  bottom: 0;
}
.blog_style h2{
  font-size: 4rem;
  display: block;
  color: #ef8200;
  letter-spacing: 1px;
  margin-bottom: 10px;
}
.blog_style h3{
  display: block;
  font-size: 2.4rem;
  padding: 4px 8px;
  border-bottom: solid 1px #ef8200;
  margin-bottom: 10px;
}
.blog_style h4{
  display: block;
  font-size: 2rem;
  color: #ef8200;
  margin-bottom: 10px;
}
.blog_style h5{
  display: block;
  font-size: 1.4rem;
  border-left: solid 5px #ef8200;
  padding-left: 8px;
  margin-bottom: 10px;
}
.blog_style h6{
  display: inline-block;
  font-size: 1.4rem;
  background-color: #ef8200;
  color: #fff;
  padding: 2px 8px;
  margin-bottom: 5px;
}
.blog_style p{
  line-height: 2;
  margin-bottom: 2rem;
}
.blog_style p + p {
    margin-top: 2rem;
}
.blog_style ul{  
  list-style: none;
  margin-bottom: 2rem;
}
.blog_style ul li {
  padding-left: 16px;
  position: relative;
  z-index: 0;
}
.blog_style ul li:before {
  position: absolute;
  top: 7px;
  left: 4px;
  z-index: 10;
  content: "●";
  display: inline-block;
  font-size: 4px;
  color: #ef8200;
  line-height: 1;
}
.blog_style ol {
  counter-reset: number;
  margin-bottom: 2rem;
}
.blog_style ol li {
  padding-left: 18px;
  position: relative;
  z-index: 0;
}
.blog_style ol li:before {
  counter-increment: number;
  content: counter(number);
  position: absolute;
  top: 0;
  left: 4px;
  z-index: 10;
  display: inline-block;
  font-weight: 700;
}
.blog_style pre{
  border: solid 1px #c9c9c9;
  padding: 20px;
  margin-bottom: 2rem;
}
.blog_style blockquote {
  margin-bottom: 2rem;
  color: #2b2b2b;
  font-size: 100%;
  font-style: italic;
  font-weight: 300;
  line-height: 1.5;
  margin-bottom: 0px;
  position:relative;
  padding:10px;
  border:1px dotted #333;
  background:#f5f5f5;
  margin-bottom:20px;
}
@media (max-width: 960px){
  .blog_style p {
    font-size: clamp(1.2rem,3.4vw,1.6rem);
  }
  .blog_style h1 {
    font-size: clamp(2rem,5.7vw,3rem);
    margin-bottom: 20px;
  }
  .blog_style h2 {
    font-size: clamp(2rem,5.7vw,4rem);
  }
  .blog_style h3 {
    font-size: clamp(1.8rem,5.1vw,2.4rem);
  }
  .blog_style h4 {
    font-size: 1.8rem;
  }
  .blog_style li {
    font-size: clamp(1.2rem,3.4vw,1.6rem);
  }
  .blog_style pre {
    padding: 5px;
  }
  .blog_style blockquote {
    padding: 5px;
  }
}